Page MenuHomePhabricator

Improvements to ProofreadPage Extension and Wikisource
Closed, ResolvedPublic

Description

Following improvements have been proposed by @Micru to the Proofread Page extension:

Possible mentors: @Yann
Co-mentor:
Skills required:
Estimated time for a senior contributor:
Microtasks:

Overview
Creation of an auto-validation privilege – The task was to implement a privilege that was exclusively accessible only by the admins. This allows them to validate the pages they have proofread (which was not possible, if not for this right). The merged solution can be found in the Gerrit-task
Conversion of Index: Pages editing form to OOjsUI – This task was based on the porting Index: Pages editing form, an editing interface implemented in the ProofreadPage extension to edit the pages that are proofread or are to be proofread. The previous code was to be converted to OOjs. The merged and updated code can be found in the 2nd Gerrit-task.
Migration of ProofreadPage zoom feature to OOjs – Here the job was to completely port the zoom feature implemented in jQuery to OOjs. The code was submitted for review and the necessary changes were made as according to the requirements. The change is yet to be merged as the DOM added is not yet updated to the Gerrit-change.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdforrester-WMF closed this task as Invalid.Jun 23 2016, 11:23 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I've added Wikisource and Possible-Tech-Projects to the child tasks; I don't think this is needed in this form, though.

Yann added a comment.Jun 24 2016, 7:58 PM

Hi, Could you explain why you closed this task?
As I have explained, this feature is partially broken.
So even if it is not taken by GSoC now, it is still valid.

@Yann: The tasks T67231 and T128298 exist and are open (unfixed, partially broken).
What is T128840 specifically needed for?

@Yann: The tasks T67231 and T128298 exist and are open (unfixed, partially broken).
What is T128840 specifically needed for?

Yann added a comment.Jul 13 2016, 11:02 PM

OK. fine. I understand that this task was for GSoC, so probably not for this year.

Sumit reopened this task as Open.Sep 11 2016, 9:38 PM

I had opened this task to address the possibility of a GSoC on a request by @Micru . Reopening again to explore the same possibility for Outreachy-13.
@Yann are you willing to mentor this for the current Outreachy internship round( Dec-8 to March 8 )?
If yes, we'll feature this project for Outreachy-13. Also, if the second bug fix is not too difficult, I suggest adding some more improvements(bug fixes in ProofRead) under the project while at it.

Yann added a comment.Sep 14 2016, 7:35 PM

Yes, I can mentor this for the current Outreachy internship round (Dec-8 to March 8).

Sumit updated the task description. (Show Details)

Great! featuring for Outreachy-13. It'd be great if you could add a co-mentor. Also please update the skills and one/two microtasks.

Microtasks are easy bugs related to the project that candidates can solve to prove that they're strong applicants for the project.

Samwilson updated the task description. (Show Details)Sep 22 2016, 11:53 PM
Yann updated the task description. (Show Details)Dec 13 2016, 8:43 PM
Yann updated the task description. (Show Details)Dec 13 2016, 8:47 PM
Yann updated the task description. (Show Details)Dec 13 2016, 8:57 PM

@Yann hello! for the very first time, we are considering to submit Wikimedia's application for the Rails Girls Summer of Code (RGSOC) program: http://railsgirlssummerofcode.org. It is like Outreachy, and has the same goal of fostering diversity in Open Source. Though it sounds from the program's name that the projects submitted should be in ROR/ Rails but that's not true. Projects could be any programming language. I'm wondering if you would be interested in mentoring this project for RGSOC which will run between July-September 2017? In case you are interested, a faster reply would be much appreciated, as we are pretty close to the deadline to apply as an organization (January 31st, less than 6 days remaining!) :) Thank you!

@Yann pinging again to check if you would be interested in mentoring this project for GSOC 2017/ Outreachy Round 14?

I would like to work on this project. Will this be available for GSoC 2017? :)

Sumit added a comment.Mar 2 2017, 4:55 PM

I would like to work on this project. Will this be available for GSoC 2017? :)

Hi @amritsreekumar as of now, this project is not included for GSoC 2017.

This project looks pretty good to work with, is there any way that this could be bought into as one of the projects for GSoC this year?

@amritsreekumar: Please see the previous comment.

@Sumit: @Yann is ready to mentor this project, so is there a way that this could be confirmed for GSoC this year?

Yann added a comment.Mar 18 2017, 11:13 AM

I confirmed that I will mentor this project, claimed by @amritsreekumar

SweatC added a subscriber: SweatC.Mar 18 2017, 6:18 PM
SweatC removed a subscriber: SweatC.
Ji1 added a subscriber: Ji1.Mar 20 2017, 3:30 AM

@Yann Hi, I'm interested in taking this project through GSOC. I’m a junior in Ajou University, Korea.
I have made a web application using Java, JavaScript, Spring framework, JQuery, mysql, Tomcat and etc.
I know overall php syntax but not as familiar as JavaScript. I’m now trying to get fit into php through documentation. So is it okay for beginner like me to make a proposal?
Thanks for answering:)

Yann added a comment.Mar 20 2017, 2:25 PM

@Ji1 This project is already claimed by @amritsreekumar
Sorry.

@amritsreekumar / @Yann: Where can @amritsreekumar's GSoC 2017 proposal to solve this task T128840 be found? See https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Submitting_your_proposal step 4.

In my humble opinion this very task should not be assigned to anybody: Wikimedia has not made any decisions on accepted projects and students yet, as far as I know.

Sumit removed amritsreekumar as the assignee of this task.Mar 21 2017, 8:03 PM

I'm removing @amritsreekumar as the tasks's asignee. @amritsreekumar you need to submit a proposal for solving this project as mentioned above to be considered a candidate.
@Yann it'd be great if you could add one or two related microtasks that'd help you in judging the student/students for selection.

Yann added a comment.Mar 21 2017, 10:25 PM

Project proposal by @amritsreekumar

Yann added a comment.EditedMar 21 2017, 10:28 PM

@Sumit @amritsreekumar submitted a proposal, and I have already accepted him. I remain you that I created these reports.

Yann claimed this task.Mar 21 2017, 10:28 PM

I have assigned this task to me as mentor.

Project proposal by @amritsreekumar

Proposals need to be separate tasks according to our guidelines.

@Ji1 Thanks for expressing your interest in working on this task. You are welcome to explore some other ideas listed on the MediaWiki's GSOC/Outreachy page. Very recently, we added a project. Let us know if you've any questions!

Yann removed Yann as the assignee of this task.Mar 26 2017, 2:12 PM
Yann updated the task description. (Show Details)Mar 26 2017, 2:19 PM

@Yann I am very interested in this project. I have completed the proposal and let you see. What do you think of this proposal? link to proposal

Thanks for the interest! Specific proposals should be filed and discussed in separate subtasks, see https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Coming_up_with_a_proposal - thanks!

srishakatux added a comment.EditedMar 29 2017, 11:35 PM

@Scott1006 I think that Google Doc is the recommended format by the GSOC's official program site, right? Rephrasing Andre's comment: In addition, you are required to submit a proposal here on Phabricator and communicate w/ mentors first if you haven't done yet. Take a look at the step-by-step instructions listed here: https://www.mediawiki.org/wiki/Google_Summer_of_Code_2017#Recommended_Next_Steps

I have completed the proposal and let you see. What do you think of this proposal? Could you give me some advice? Thanks.

Hello! Thank you for featuring this project in the previous edition of Google Summer of Code. Did the student complete the project requirements? In any case, please help modify the task description and add/remove the tags accordingly. Thank you!

This comment was removed by srishakatux.

@Yann: If I interpret T161111 correctly this was worked on in GSoC 2017. Should this task T128840 and T161111 still be open or should they get resolved? Thanks!

Yann added a comment.EditedFeb 25 2018, 4:56 AM

@Aklapper : Yes, some of the requests were fulfilled in GSoC 2017, but some are still pending. They could be worked on in a future GSoC. Regards,

@Yann @amritsreekumar @Tpt Would two of you be interested in showcasing the leftover requests of this project for Google-Summer-of-Code (2018) and willing to be a mentor for the same?

Yann added a comment.Feb 26 2018, 7:10 AM

Hi, I won't be able to be a mentor this year. Too much busy IRL. Sorry.

Magol added a subscriber: Magol.May 3 2018, 8:56 AM

Hello, if my knowledge serves me right the tasks which have not been stroked off can be considered as leftovers. In my opinion these can be divided into two different GSoC projects as there is enough work in them.

@srishakatux: I propose to move the remaining items to a new separate task for a future outreach program (though that task would need mentors to become ready to be picked up) and close this task as the scope of this task was about GSoC2017 which is over.

srishakatux closed this task as Resolved.Aug 1 2018, 4:53 AM

@srishakatux: I propose to move the remaining items to a new separate task for a future outreach program (though that task would need mentors to become ready to be picked up) and close this task as the scope of this task was about GSoC2017 which is over.

Done!